Foxit PDF SDK

Public Types | Public Member Functions | Properties | List of all members
foxit.addon.compliance.PreflightReportSettingData Class Reference

Inherits SystemIDisposable.

## Public Types
enum | ProblemsHighlightMethod { ProblemsHighlightMethod.e_ProblemsHighlightMethodTransparentMasks = 0, ProblemsHighlightMethod.e_ProblemsHighlightMethodLayers = 1 }
| Enumeration for the highlight method for preflight problems. More...
enum | ReportFileFormatType { ReportFileFormatType.e_ReportFileFormatTypePdf = 0, ReportFileFormatType.e_ReportFileFormatTypeXml = 1, ReportFileFormatType.e_ReportFileFormatTypeTxt = 2, ReportFileFormatType.e_ReportFileFormatTypeHtml = 3 }
| Enumeration for the preflight report file format type. More...

## Public Member Functions
| PreflightReportSettingData ()
| Constructor.
| PreflightReportSettingData (PreflightReportSettingData.ReportFileFormatType report_file_format_type, bool to_generate_overview, bool to_highlight_problems, PreflightReportSettingData.ProblemsHighlightMethod problem_highlight_method, string report_file_path)
| Constructor, with parameters. More...

## Properties
PreflightReportSettingData.ProblemsHighlightMethod | problems_highlight_method`[get, set]`
| The method highlight problems. Only effective when to_highlight_problems is true and report_file_format_type is foxit.addon.compliance.PreflightReportSettingData.ReportFileFormatType.e_ReportFileFormatTypePdf . Please refer to values starting from foxit.addon.compliance.PreflightReportSettingData.ProblemsHighlightMethod.e_ProblemsHighlightMethodTransparentMasks and this should be one of these values.
PreflightReportSettingData.ReportFileFormatType | report_file_format_type`[get, set]`
| The report file format type. Please refer to values starting from foxit.addon.compliance.PreflightReportSettingData.ReportFileFormatType.e_ReportFileFormatTypePdf and this should be one of these values.
string | report_file_path`[get, set]`
| A complete path for the report file. This should not be an empty string.
bool | to_generate_overview`[get, set]`
| Whether to generate overview or not. true menas to generate overview, false means not.
bool | to_highlight_problems`[get, set]`
| Whether to highlight problems or not. true menas to highlight problems, false means not.

## Detailed Description

This class represents setting data used for generating preflight report file.

## Member Enumeration Documentation

## ◆ ProblemsHighlightMethod

enum foxit.addon.compliance.PreflightReportSettingData.ProblemsHighlightMethod
| strong

Enumeration for the highlight method for preflight problems.

Values of this enumeration should be used alone.

Enumerator
e_ProblemsHighlightMethodTransparentMasks | Problems highlighted by transparent masks.
e_ProblemsHighlightMethodLayers | Problems highlighted by layers.

## ◆ ReportFileFormatType

enum foxit.addon.compliance.PreflightReportSettingData.ReportFileFormatType
| strong

Enumeration for the preflight report file format type.

Values of this enumeration should be used alone.

Enumerator
e_ReportFileFormatTypePdf | Report file format type: PDF.
e_ReportFileFormatTypeXml | Report file format type: XML.
e_ReportFileFormatTypeTxt | Report file format type: TXT & TEXT.
e_ReportFileFormatTypeHtml | Report file format type: HTML.

## Constructor & Destructor Documentation

## ◆ PreflightReportSettingData()

foxit.addon.compliance.PreflightReportSettingData.PreflightReportSettingData | ( | PreflightReportSettingData.ReportFileFormatType | report_file_format_type,
|  | bool | to_generate_overview,
|  | bool | to_highlight_problems,
|  | PreflightReportSettingData.ProblemsHighlightMethod | problem_highlight_method,
|  | string | report_file_path
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | report_file_format_type | The report file format type. Please refer to values starting from foxit.addon.compliance.PreflightReportSettingData.ReportFileFormatType.e_ReportFileFormatTypePdf and this should be one of these values.
  [in] | to_generate_overview | Whether to generate overview or not. true menas to generate overview, false means not.
  [in] | to_highlight_problems | Whether to highlight problems or not.true menas to highlight problems, false means not.
  [in] | report_file_path | A complete path for the report file. This should not be an empty string.

Returns
  None.